## r-cran-randomforest 4.5

=== DESCRIPTION ===
Package: randomForest
Title: Breiman and Cutler's random forests for classification and
        regression
Version: 4.5-36
Date: 2010-07-15
Depends: R (>= 2.0.0), stats
Suggests: RColorBrewer
Author: Fortran original by Leo Breiman and Adele Cutler, R port by
        Andy Liaw and Matthew Wiener.
Description: Classification and regression based on a forest of trees
        using random inputs.
Maintainer: Andy Liaw <andy_liaw@merck.com>
License: GPL (>= 2)
URL: http://stat-www.berkeley.edu/users/breiman/RandomForests
Packaged: 2010-07-15 17:11:59 UTC; liawand
Repository: CRAN
Date/Publication: 2010-07-25 11:06:32

## r-cran-randomforest 4.5-36

=== debian/changelog ===
r-cran-randomforest (4.5-36-1) unstable; urgency=low

  * New upstream version
  * Added myself to uploaders
  * debhelper version >= 7.1)
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * debian/README.Debian: Give better advise for testing the package

 -- Andreas Tille <tille@debian.org>  Mon, 22 Nov 2010 15:14:29 +0100

r-cran-randomforest (4.5-34-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version (debian/control) to reflect compliance
    with Policy 3.8.4.
  * Depend on a version equal or superior than the R upstream release that
    was used to build this package, using a R:Depends substvar
    (debian/control, debian/rules).
  * Added notes to explain how this package is tested (debian/README.Debian).

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Mar 2010 12:43:58 +0900

r-cran-randomforest (4.5-33-1) unstable; urgency=low

  * New upstream release.
  * Added comment on trademarks in debian/copyright.
  * Added various informations in debian/upstream-metadata.yaml.
  * debian/control:
    - Changed section to gnu-r and incremented Standards-Version to
      reflect conformance with Policy 3.8.3.
    - Use non-versionned dependance on r-base (satisfied in Lenny).

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Oct 2009 18:53:28 +0900

r-cran-randomforest (4.5-30-1) unstable; urgency=low

  * New upstream release (Closes: #518259).
  * debian/control:
    - DM-Upload-Allowed: yes.
    - Depends on debhelper 7 (and uses it with debian/compat).
    - Removed versionning on build-dependancy on r-base-dev.
    - Added myself as Uploader.
    - Corrected description (Closes: #518253, #518142).
  * Converted debian/copyright to machine-readable format and added
    myself to the Hall of Fame.

 -- Charles Plessy <plessy@debian.org>  Sun, 15 Mar 2009 15:06:34 +0900

r-cran-randomforest (4.5-28-1) unstable; urgency=low

  * Initial release (closes: #510970).

 -- Steffen Moeller <moeller@debian.org>  Tue, 06 Jan 2009 11:06:58 +0100

=== debian/control ===
Source: r-cran-randomforest
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.1), cdbs, r-base-dev
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-randomforest/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
Homepage: http://cran.r-project.org/web/packages/randomForest/

Package: r-cran-randomforest
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}
Recommends: r-cran-rcolorbrewer
Description: GNU R package implementing the random forest classificator
 RandomForest implements Breiman’s random forest algorithm (based on Breiman
 and Cutler’s original Fortran code) for classification and regression. It can
 also be used in unsupervised mode for assessing proximities among data points.
 .
 The technique uses multiple decision trees and combines their individual
 votes.

## r-cran-randomforest 4.6

=== DESCRIPTION ===
Package: randomForest
Title: Breiman and Cutler's Random Forests for Classification and
        Regression
Version: 4.6-14
Date: 2018-03-22
Depends: R (>= 3.2.2), stats
Suggests: RColorBrewer, MASS
Author: Fortran original by Leo Breiman and Adele Cutler, R port by Andy Liaw and Matthew Wiener.
Description: Classification and regression based on a forest of trees using random inputs, based on Breiman (2001) <DOI:10.1023/A:1010933404324>.
Maintainer: Andy Liaw <andy_liaw@merck.com>
License: GPL (>= 2)
URL: https://www.stat.berkeley.edu/~breiman/RandomForests/
NeedsCompilation: yes
Packaged: 2018-03-22 14:27:01 UTC; liawand
Repository: CRAN
Date/Publication: 2018-03-25 15:00:24 UTC

## r-cran-randomforest 4.6-2

=== debian/changelog ===
r-cran-randomforest (4.6-2-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jan 2011 08:58:05 +0100

## r-cran-randomforest 4.6-6

=== debian/changelog ===
r-cran-randomforest (4.6-6-1) unstable; urgency=low

  * New upstream release. 
  * Suggest r-cran-mass in debian/control.
  * Corrected Vcs URLs in debian/control.
  * Using Debhelper 8 (debian/control, debian/compat).
  * Conforms to Policy 3.9.2 (debian/control, no changes needed). 
  * Renamed debian/README.Debian debian/README.test and install it
    with debian/docs.
  * Reformatted machine-readable debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sun, 08 Jan 2012 22:35:34 +0900

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7.1), cdbs, r-base-dev
-Standards-Version: 3.9.1
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-randomforest/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev
+Standards-Version: 3.9.2
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
 Homepage: http://cran.r-project.org/web/packages/randomForest/
 
 Package: r-cran-randomforest
 Architecture: any
 Depends: ${shlibs:Depends}, ${R:Depends}
 Recommends: r-cran-rcolorbrewer
+Suggests: r-cran-mass
 Description: GNU R package implementing the random forest classificator
  RandomForest implements Breiman’s random forest algorithm (based on Breiman
  and Cutler’s original Fortran code) for classification and regression. It can

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-randomforest package
# Copyright 2009 Steffen Moeller <moeller@debian.org>
# Copyright 2010 Charles Plessy <plessy@debian.org>, Andreas Tille <tille@debian.org>
# License: GPL

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

## r-cran-randomforest 4.6-7

=== debian/changelog ===
r-cran-randomforest (4.6-7-1build1) saucy; urgency=low

  * Rebuild against R 3.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 10:06:30 +0100

r-cran-randomforest (4.6-7-1) unstable; urgency=low

  * New upstream release.
  * Normalised VCS fields following Lintian's standard.
  * Use Debhelper 9.
  * Removed obsolete DM-Upload-Allowed field. 
  * Conforms with Policy 3.9.4.
  * Acquire substitution variable R:Dedpends from r-base-dev.

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Apr 2013 13:56:56 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev
-Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
+Build-Depends: debhelper (>= 9), cdbs, r-base-dev
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-randomforest/trunk/ 
 Homepage: http://cran.r-project.org/web/packages/randomForest/
 
 Package: r-cran-randomforest

## r-cran-randomforest 4.6-10

=== debian/changelog ===
r-cran-randomforest (4.6-10-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: removed myself from Uploaders. 

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Aug 2014 17:17:05 +0200

=== debian/control ===
Source: r-cran-randomforest
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-randomforest/trunk/ 
Homepage: http://cran.r-project.org/web/packages/randomForest/

Package: r-cran-randomforest
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends}
Recommends: r-cran-rcolorbrewer
Suggests: r-cran-mass
Description: GNU R package implementing the random forest classificator
 RandomForest implements Breiman’s random forest algorithm (based on Breiman
 and Cutler’s original Fortran code) for classification and regression. It can
 also be used in unsupervised mode for assessing proximities among data points.
 .
 The technique uses multiple decision trees and combines their individual
 votes.

## r-cran-randomforest 4.6-12

=== debian/changelog ===
r-cran-randomforest (4.6-12-1) unstable; urgency=medium

  * New upstream version
  * Removed unneeded xvfb, xauth to Build-Depends again

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2015 19:42:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-randomforest/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-randomforest/trunk/ 
 Homepage: http://cran.r-project.org/web/packages/randomForest/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

# xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24"

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/randomForest_([-0-9\.]*)\.tar\.gz

## r-cran-randomforest 4.6-14

=== debian/changelog ===
r-cran-randomforest (4.6-14-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 10:02:18 +0200

r-cran-randomforest (4.6-14-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 21:03:16 +0200

r-cran-randomforest (4.6-14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 27 Mar 2018 14:35:23 +0200

r-cran-randomforest (4.6-12-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Convert from cdbs to dh-r
  * debhelper 10
  * Secure URI in watch file
  * remove redundant upstream/metadata
  * Testsuite: autopkgtest-pkg-r
  * Canonical homepage for CRAN packages
  * Add debian/README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 12:17:16 +0200

=== debian/control ===
Source: r-cran-randomforest
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomforest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomforest.git
Homepage: https://cran.r-project.org/package=randomForest
Rules-Requires-Root: no

Package: r-cran-randomforest
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package implementing the random forest classificator
 RandomForest implements Breiman’s random forest algorithm (based on Breiman
 and Cutler’s original Fortran code) for classification and regression. It can
 also be used in unsupervised mode for assessing proximities among data points.
 .
 The technique uses multiple decision trees and combines their individual
 votes.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/randomForest_([-0-9\.]*)\.tar\.gz

## r-cran-randomforest 4.7

=== DESCRIPTION ===
Package: randomForest
Title: Breiman and Cutlers Random Forests for Classification and
        Regression
Version: 4.7-1.2
Date: 2022-01-24
Depends: R (>= 4.1.0), stats
Suggests: RColorBrewer, MASS
Authors@R: c(person("Leo", "Breiman", role = "aut",
                    comment = "Fortran original"),
             person("Adele", "Cutler", role = "aut",
	            comment = "Fortran original"),
             person("Andy", "Liaw", role = c("aut", "cre"),
                    email = "andy_liaw@merck.com",
		    comment = "R port"),
             person("Matthew", "Wiener", role = "aut",
	            comment = "R port"))
Description: Classification and regression based on a forest of trees using random inputs, based on Breiman (2001) <DOI:10.1023/A:1010933404324>.
License: GPL (>= 2)
URL: https://www.stat.berkeley.edu/~breiman/RandomForests/
NeedsCompilation: yes
Packaged: 2024-09-22 08:30:17 UTC; hornik
Repository: CRAN
Date/Publication: 2024-09-22 09:14:44 UTC
Author: Leo Breiman [aut] (Fortran original),
  Adele Cutler [aut] (Fortran original),
  Andy Liaw [aut, cre] (R port),
  Matthew Wiener [aut] (R port)
Maintainer: Andy Liaw <andy_liaw@merck.com>

## r-cran-randomforest 4.7-1

=== debian/changelog ===
r-cran-randomforest (4.7-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 23:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomforest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomforest.git
 Homepage: https://cran.r-project.org/package=randomForest

## r-cran-randomforest 4.7-1.1

=== debian/changelog ===
r-cran-randomforest (4.7-1.1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 10:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-randomforest
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomforest
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomforest.git
+Homepage: https://cran.r-project.org/package=randomForest
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomforest
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomforest.git
-Homepage: https://cran.r-project.org/package=randomForest
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-randomforest
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24"

## r-cran-randomforest 4.7-1.2

=== debian/changelog ===
r-cran-randomforest (4.7-1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 10:18:53 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-randomforest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-randomforest.git
 Homepage: https://cran.r-project.org/package=randomForest
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
